2007-05-23  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-test.el (rails-test:line-regexp): bug #10792: updated regexp

2007-05-05  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el: fixed #10613, wrong comparsion of emacs major-version

2007-05-03  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-test.el (rails-test:line-regexp): patch #10532, allows '-' to occur in the errror filepath (thanks Peter Williams)

2007-04-27  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el: raise a error if emacs-rails run on old version of Emacs (less 22).

	* rails-ruby.el: check available flymake before setup ruby-flymake.

2007-04-25  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-speedbar-feature.el (rails-speedbar:expand-directory)
	(rails-speedbar:display): updated view mode of "views".

	* rails-compat.el (try-complete-abbrev): don't expand a snippet inside comments or strings.

2007-04-20  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-core.el (rails-core:menu-letters-list)
	(rails-core:prepare-menu): created, append a prefix to each label of menu-item from MENU.

2007-04-19  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-speedbar-feature.el (rails-speedbar:expand-tags): append list of templates in controllers
	(rails-speedbar:line-directory): created

	* rails-core.el (rails-core:helper-file): append the test/test_helper
	(rails-core:views-dir): strip the "_controller" sufix
	(rails-core:helpers): added the test/test_helper support

	* rails-speedbar-feature.el (rails-speedbar:line-directory)
	(rails-speedbar:root, rails-speedbar:in-root): created
	(rails-speedbar-feature:install): install speedbar-mode-line-functions

	* rails-ruby.el (completion-dynamic-syntax-alist): removed

	* rails-core.el (rails-core:class-by-file): updated

2007-04-18  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el (ruby-mode-hook): removed predictive-prog-mode, it will incorect work in latest CVS builds of Emacs

2007-04-13  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ruby.el (flymake-ruby-init): apply patch #10056, thanks Rémi Vanicat

	* rails-core.el (rails-core:class-by-file): handle first digit[s] in filename

	* rails-lib.el (capital-word-p): return nil if first char is not 

	* inflections.el: rollback to using separate variables instead of structure

2007-04-12  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-test.el: fixed #10053 bug, added rails-core:regexp-for-match-views to compilation-error-regexp

	* predictive-prog-mode.el (activate-predictive-inside-comments): toggle predictive mode using 'predictive-main-dict variable, looking at previous word 

	* rails-core.el (rails-core:class-by-file): detect already capitalized words

2007-04-10  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-snippets-feature.el (rails-snippets-feature:list): updated

	* rails-test.el (rails-test:error-regexp-alist): updated

2007-04-09  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ui.el (rails-minor-mode-prefix-key): created
	(rails-key): created

	* predictive-prog-mode.el (predictive-prog-text-faces): fixed compilation warning 

2007-04-08  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-speedbar-feature.el (rails-speedbar:roots): created

2007-04-06  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-lib.el (capital-word-p): better word comparsion

	* predictive-prog-mode.el, untabify-file.el: created separate minor-mode
 
	* rails-compat.el: removed predictive-prog-mode declaration
 
	* rails-features.el: created

	* rails-predictive-prog-mode-feature.el: created and place into it
	predictive-program-mode

	* rails-snippets-feature.el: created

	* rails-ui.el (rails-minor-mode-map): removed snippets menu

	* rails-untabify-feature.el: created and place into it untabify
	hook

	* rails.el (find-file-hooks): cleanup

2007-04-05  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el (auto-mode-alist): added Rakefile to auto-mode-alist

	* rails-ui.el (rails-minor-mode-test-current-method-key): created

	* rails-*-test-minor-mode (rails-unit-test-minor-mode rails-functional-test-minor-mode): 
	changed hotkey "C-c ." to "C-c C-c ,", the old conflicted with ECB

	* rails-ruby.el (flymake-ruby-load): apply flymake-mode only if
	buffer-file-name matched flymake-allowed-file-name-masks

2007-04-04  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ruby.el (flymake-ruby-load): updated

	* rails-ui.el: reduced the menu length

2007-04-03  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ruby.el (flymake-ruby-load): updated

	* rails-controller-layout.el (rails-controller-layout:keymap):
	created menu group for current minor-mode

	* rails-model-layout.el (rails-model-layout:keymap): created menu
	group for current minor-mode

	* rails-core.el (rails-core:controller-file-by-model)
	(rails-core:mailer-file, rails-core:mailer-exist-p)
	(rails-core:migration-file-by-model)
	(rails-core:model-by-migration-filename)
	(rails-core:unit-test-exist-p, rails-core:fixture-exist-p)
	(rails-core:current-mailer): created

	* rails-model-layout.el (rails-model-layout:keymap): removed mode specific menu

	* rails-controller-layout.el (rails-controller-layout:keymap): removed mode specific menu

	* rails-compat.el (predictive-prog-mode): don't start inside strings

	* rails-core.el: using completion-posn-at-point-as-event instead custom function

	* rails-ui.el (rails-minor-mode-db-menu-bar-map): updated

	* rails-model-layout.el (rails-model-layout:keymap): created

	* rails-core.el (rails-core:buffer-file-match): allow passing nil

	* rails-controller-layout.el (rails-controller-layout:keymap): created

	* rails-cmd-proxy.el (rails-cmd-proxy:convert-buffer-from-remote): fixed compilation warning 

	* rails-ruby.el: added flymake support to on the fly syntax check in ruby-mode

	* rails-test.el (rails-test:error-regexp-alist): updated

2007-04-02  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-lib.el (merge-abbrev-tables): mark abbrev as system 

2007-04-01  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-snippets.el: updated snippets

	* rails-ui.el (rails-minor-mode-nav-menu-bar-map): created separate menu entry for "Navigate", "Database", "Tests"

	* rails-test.el (rails-test:error-regexp-alist): updated regexp to match errors

	* rails-snippets.el (rails-snippets:list): new snippet group RESTful

	* rails-ruby.el (ruby-align-rules-list): updated regexp for align

	* rails-rake.el (rails-rake:migrate)
	(rails-rake:migrate-with-version)
	(rails-rake:migrate-to-prev-version): created

	* rails-lib.el: added alias string-join to strings-join

	* rails-core.el (rails-core:mailer-file): fixed bug #9721
	(rails-core:migration-versions): created

	* rails-compat.el (indent-or-complete): restored completion-ui support

2007-03-30  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-test.el (rails-test:error-regexp-alist): updated

	* rails-scripts.el (rails-script:run): added
	`rails-cmd-proxy:convert-buffer-from-remote' to
	`after-change-functions'

	* rails-ruby.el: added `align' integration code

	* rails-lib.el (string-repeat): created

	* rails-cmd-proxy.el (rails-cmd-proxy:convert-buffer-from-remote): created

	* rails-project.el: created

	* rails-compat.el: created

2007-03-29  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el (indented-or-complete): added support completion-ui
	(activate-predictive-inside-strings): created
	(ruby-mode-hook): added pcomplete activation code

	* rails-test.el (rails-test:print-result): don't scroll on top

	* rails-navigation.el (rails-nav:goto-functional-tests): created
	(rails-nav:goto-unit-tests): created

	* rails-core.el (rails-core:functional-tests): created
	(rails-core:unit-tests): created

	* rails-cmd-proxy.el: updated

	* rails-scripts.el (rails-script:output-mode): updated

	* rails.el (indent-or-complete): updated

	* rails-test.el (rails-test:run): cleanup

	* rails-rake.el (rails-rake:list-of-tasks-without-tests): created
	(rails-rake:list-of-tasks): renamed from rails-rake:tasks-list

	* rails-ui.el: created seperate menu group for tests

	* rails-test.el: created, Added tests integration with the compile library

	* rails-scripts.el: refactored

	* rails-rake.el: refactored

	* rails-lib.el (rails-completing-read): created

2007-03-28  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-rake.el (rails-rake:task): removed rails-rake:output-mode

	* rails.el: added forward declaration of try-complete-abbrev,
	index-or-complete and setup variable
	hippie-expand-try-function-alist

	* rails-snippets.el (rails-snippets:list): updated

	* rails-core.el (rails-core:menu-position): fixed error at `window-live-p'

	* rails-ui.el (rails-minor-mode-menu-bar-map): added menu item for "test current method"

	* rails-ws.el (rails-ws:start): added missing parameter the
	rails-ws:default-server-type to startup command

	* rails-scripts.el (rails-script:toggle-output-window): created

	* rails-ws.el (rails-ws:start): fixed bug [#9619], incorect setup of default directory

	* rails-snippets.el (rails-snippets-menu-list): removed
	(rails-snippets:create-keymap, rails-snippets:create-lambda)
	(rails-snippets:list): created

	* rails-lib.el (create-snippets-and-menumap-from-dsl): removed

2007-03-27  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-snippets.el (rails-snippets-menu-list): updated snippets,
	add the "assert_template" snippet

	* rails-rake.el (rails-rake:test-current): created
	(rails-rake:run-test-file): created
	(rails-rake:test-current-method): created

	* rails-unit-test-minor-mode.el (rails-unit-test-minor-mode):
	added hotkey [C-c .] to run test of current method

	* rails-functional-test-minor-mode.el (rails-functional-test-minor-mode): 
	added hotkey [C-c .] to run test of current method

	* rails-core.el (rails-core:functional-test-file)
	(rails-core:unit-test-file, rails-core:observer-p)
	(rails-core:mailer-p): allow passing nil
	(rails-core:current-method-name): renamed from rails-core:current-function-name

	* rails-scripts.el (rails-script:output-mode-popup-buffer,
	rails-script:output-mode-push-first-button): created
	(rails-script:output-mode): using hooks instead local-variables

	* rails-rake.el (rails-rake:output-mode): using hooks instead local-variables

	* rails-lib.el (buffer-visible-p): optimization, using `get-buffer-window'

	* rails-model-layout.el (rails-model-layout:switch-to): 
	display message if file not exists

	* rails-controller-layout.el (rails-controller-layout:switch-to):
	display message if file not exists

	* rails-model-layout.el (rails-model-layout:switch-to)
	(rails-model-layout:menu): added migrations support

	* rails-migration-minor-mode.el (rails-migration-minor-mode): popup menu entry

	* rails-core.el (rails-core:model-exist-p): return nil if observer
	or mailer
	(rails-core:migration-file): allow passing a migration name
	without number (ex. "CreateUsers")
	(rails-core:current-model): added migrations support
	(rails-core:migration-file): renamed from migrate-file

	* rails-controller-layout.el (rails-controller-layout:switch-to):
	added migration support

	* inflections.el (singularize-string, pluralize-string): allow passing nil

2007-03-26  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-find.el (rails-find:gen): call ido-find-file if possible

	* rails-rake.el (rails-rake:report-result): prints results of all tests

	* rails-ruby.el: fixed compilation warnning

	* rails-rake.el, rails-scripts.el: updated, printed result of tests

	* rails-lib.el, rails.el: fix compilation error [#9547]
	
	* rails.el (rails-templates-list): added support "erb" and "liquid"

	* rails-lib.el: fixed compilation warnings

	* rails-rake.el: fixed compilation warnings

	* rails-ui.el: updated

	* rails-scripts.el: updated
	(rails-script:rake-tests-alist): removed

	* rails-ruby.el (run-ruby-in-buffer): moved from rails-scripts.el

	* rails-rake.el: created

	* rails-core.el (rails-core:migrations): added optional parameter to stip numbers

	* rails-cmd-proxy.el (rails-cmd-proxy:start-process): created

	* rails-scripts.el (rails-script:sentinel-proc): updated
	(rails-script:generation-buffer-name): removed
	(rails-script:run): updated
	(rails-script:create-project): updated

	* rails-lib.el (buffer-visible-p): created

	* rails-core.el (rails-core:file): return nil if FILE-NAME is nil

2007-03-25  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-log.el (rails-log:buffer-name): renamed from rails-log:get-buffer-name

	* rails-core.el (rails-core:add-to-rails-menubar): removed
	(rails-core:mailer-file): maked as alias
	(rails-core:controller-name): renamed from rails-core:full-controller-name
	(rails-core:regex-for-match-view): cleanup
	(rails-core:button-action): created

	* rails-find.el: created

	* rails-navigation.el: moved rails-find-* to separate file rails-find.el

	* rails.el (rails-find-file-function): removed variable

	* rails-ui.el (rails-minor-mode-menu-bar-map): update indentation

	* rails-scripts.el: refactored code

2007-03-24  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-unit-test-minor-mode.el (rails-unit-test-minor-mode): fixed

	* rails-navigation.el (rails-line-->controller+action): replace
	call rails-core:open-controller+action to
	rails-controller-layout:switch-to-action-in-controller

	* rails-snippets.el (snippet-insert): added advice
	(rails-snippets-menu-list): updated snippets

	* rails-ws.el (rails-ws:sentinel-proc): change format of the message
	(rails-ws:start): fixed

	* rails-navigation.el: removed old style goto-* functions

	* rails.el (ruby-mode-hook): bind ruby-toggle-string<>symbol to [C-:] in ruby mode

	* rails-ui.el (rails-minor-mode-map): added [M-S-up] & [M-S-down] hotkeys

	* rails-snippets.el (rails-snippets-menu-list): updated, split snippets to separate modes

	* rails-ruby.el (ruby-toggle-string<>simbol): created

	* rails-migration-minor-mode.el (rails-migration-minor-mode): created

2007-03-23  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el (ruby-mode-hook): added [C-:] hotkey to easy switch between strings and symbols

	* rails-ruby.el (ruby-toggle-string<>simbol): created

	* rails.el (ruby-mode-hook): added [C-c f] hotkey to popup `major-menu-mode` menu

	* rails-core.el (rails-core:menu-position): created variable
	(rails-core:menu): using `rails-core:menu-position`

	* rails-snippets.el (rails-snippets-menu-list): splited snippets into separate modes

	* rails-navigation.el (rails-nav:goto-fixtures): created

	* rails-core.el (rails-core:fixtures): created

	* rails-view-minor-mode.el (rails-view-minor-mode): cleanup and switch to use
	`rails-controller-layout`, added support mailers

	* rails-unit-test-minor-mode.el (rails-unit-test-minor-mode): added support mailers

	* rails-navigation.el (rails-nav:goto-mailers): created

	* rails-model-layout.el: added support mailers

	* rails-mailer-minor-mode.el: created

	* rails-helper-minor-mode.el: cleanup and switch to use `rails-controller-layout`

	* rails-functional-test-minor-mode.el: cleanup and switch to use
	`rails-controller-layout`, added support mailers

	* rails-core.el: created functions: rails-core:model-exist-p,
	rails-core:mailer-file, rails-core:mailer-p, rails-core:mailers,
	rails-core:current-function-name. Cleanup unsed functions.
	
	* rails-controller-minor-mode.el: cleanup and switch to use `rails-controller-layout`

	* rails-controller-layout.el: created

	* rails.el (rails-directory<-->types): rename fixtures to fixture

	* rails-unit-test-minor-mode.el: using functions from `rails-model-layout` to navigate

	* rails-model-minor-mode.el: using functions from `rails-model-layout` to navigate

	* rails-model-layout.el: created

	* rails-lib.el (string=~): created, by Howard Yeh

	* rails-fixture-minor-mode.el: created

	* rails-core.el (rails-core:controller-exist-p): create
	(rails-core:fixture-file): used `pluralize-string` to match fixture
	(rails-core:current-model): used `pluralize-string` to match fixture

	* inflections.el: created, by Howard Yeh

	* rails-cmd-proxy.el: created

	* rails-ws.el (rails-ws:stop): stopped server with interrupt-process
	(rails-ws:start): starting server useing rails-cmd-proxy:start-process-shell-command

	* rails.el (rails-apply-for-buffer-type): added support to load
	new style submodes

	* rails-lib.el (merge-abbrev-tables): created this function

	* moved all rails-for-* to rails-*-minor-mode
	
	* rails-snippets.el (rails-snippets-menu-list): closed bug #9460,
	incorect indentation in snippets

2007-03-19  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-scripts.el (rails-rake): restore ask to save modified
	buffers before run rake test:*

	* rails-core.el (rails-core:layout-file): support template types
	on go to layout menu

	* rails-for-controller.el (rails-controller:create-view-for-action): create function
	(rails-controller:switch-to-view): allow select template type on create

	* rails.el: add support haml template engine

2007-03-15  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-scripts.el (rails-rake-tests): using `compile`

	* rails-ui.el (rails-minor-mode-menu-bar-map): add (interactive)
	to lambda functions

2007-03-13  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-for-model.el: create

	* rails-for-unit-test.el: create

	* rails-core.el (rails-core:buffer-type): support lambda
	expression in rails-directory<-->types

	* rails-scripts.el (rails-rake): ask to save modified buffers
	before run rake test:*

2007-02-02  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-snippets.el (rails-snippets-menu-list): bug #8381 (bad
	"ff" snippet)

2007-01-30  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-snippets.el: create and place into it all snippets code

	* rails-ui.el: drop snippets declaration, make separate menu
	"Snippets"

2007-01-29  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-lib.el: create function compile-snippet and
	create-snippets-and-menumap-from-dsl

	* rails-ui.el (ruby-mode-abbrev-table): add mai snippet (add_index
	in migrations)

	* rails.el (rails-db-parameters): patch #8232 (by Ronaldo Ferraz)
	Console is not starting because env is not quoted in the function
	call, resulting in a Ruby error

	* rails-ws.el, rails-wi.el: patch #8233 (by Ronaldo Ferraz) Fixes
	a couple of UI messages and allows web server selection auto-save

2007-01-28  Dmitry Galinsky  <dima.exe@gmail.com>

	* *.el: fix bytecompile warnings
	
	* rails-core.el: remove dublicate of fucntion rails-core:helper-file

	* rails-navigation.el: patch #8228

	* rails.el (ruby-mode-hook): remove variables tab-width and indent-tabs

	* rails-ws.el: make variable rails-ws:default-server-type are
	customized (to fix #8223)

	* rails-lib.el: add cross declaration indent-or-complete (to fix #8221)

2007-01-27  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-for-controller.el (rails-controller:switch-with-menu):
	call rails-controller:switch-to-view for "Current view" 

	* rails-log.el (rails-log:open-file): run rails-minor-mode in log buffer

	* rails-ui.el: update "Open log" menu

	* rails.el: relete function rails-open-log, and place all log
	related fuction to rails-log.el

	* rails-log.el: create

	* rails-lib.el (apply-colorize-to-buffer): create

	* rails-ws.el: update rails-ws:*browser* functions

	* rails.el (rails-directory<-->types): add plugin directory

	* rails-for-view.el (rails-view:switch-with-menu): update menu title

	* rails-for-plugin.el: create

	* rails-for-helper.el (rails-helper:switch-with-menu): update menu
	title

	* rails-for-functional-test.el (rails-for-functional-test:switch-with-menu):
	update-menu-title

	* rails-for-controller.el (rails-controller:switch-with-menu):
	update menu title

	* rails-core.el (rails-core:menu): fix menu position 
	add new functions rails-core:plugin-files, rails-core:plugin-file,
	rails-core:current-plugin

2007-01-26  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ui.el (rails-minor-mode-menu-bar-map): rename menu item
	WEBrick to Web Server.  Update menu group Web Server

	* rails.el (rails-ws): add variable rails-default-environment

	* rails-ws.el: rename from rails-webrick, complete rewrite and
	cleanup

	* rails-navigation.el (rails-nav:create-goto-menu): now support
	nested lists in append-to-menu (ex. (list (cons) (cons)))
	(rails-nav:create-new-layout): cleanup
	(rails-nav:goto-layouts): cleanup

	* rails-core.el
	(rails-core:plugins): fix invalid path passed into directory-files
	(rails-core:layouts): new function

	* rails-for-view.el (rails-for-view): remove detect mmm-mode,
	always apply hotkeys to mmm-mode-map (if exist)

	* rails.el: apply ruby-mode to *.rake files and setup utf8 encoding

	* rails-lib.el (list->alist): skip if LIST entry is list	

2007-01-25  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-navigation.el, rails-ui.el: add rails-nav:goto-plugins

	* rails-ruby.el: remove advice for ruby-indent-command

	* rails-lib.el (def-snips): fix indentation

	* rails-core.el: fix list ordered in rails-core:* add
	rails-core:observer-p

	* rails.el (rails-open-log): fix path to log file

	* rails.el: cleanup initialization code

2007-01-24  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ui.el: create key bindings and menu items to latest
	changes

	* rails-scripts.el: add more targets to generate and destroy
	cleanup targets create variables: rails-generate-params-list,
	rails-destroy-params-list

	* rails-navigation.el: create another implementation menu:
	rails-nav:goto-file-with-menu-from-list, rewrite rails:nav:goto-*
	to use this

	* rails-core.el: rewrite rails-core:(controllers,models,etc), add
	more functions to lookup plugins, migrations, etc

2007-01-23  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-scripts.el (rails-rake-tests): store selected value, set it to default

	* rails-webrick.el (rails-webrick:start): fix #8088 (Akira Ikeda)

	* rails-core.el: add rails-core to eval-when-compile

	* rails-ui.el (rails-minor-mode-map): rebind some hotkeys fix
	snippents (bad indent after end ruby keyword)

	* rails-scripts.el: complete rewrite all script functions to using autocomplete

	* rails.el (rails-db-parameters): apply patch #8065 (thanks Akira Ikeda)

2007-01-22  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ui.el (ruby-mode-abbrev-table): fix indentation for `end' ruby keyword

2007-01-21  Dmitry Galinsky  <dima.exe@gmail.com>	

	rename rails-for-rhtml to rails-for-view add rails-for-helper
	functionaly add *:switch-with-menu for helpers, functional-test
	cleanup rails-for-controller, rails-for-view

	* rails.el: remove rails-for-alist using rails-directory<-->type
	for match current type and apply specific mode

	* rails-scripts.el (rails-run-script): fix #8035

	* rails-lib.el (yml-value): fix #8037

2007-01-13  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-core.el: apply patch #7342

2007-01-09  ronaldo  <ronaldo@reflectivesurface.com>

	* rails.el: added a host parameter to the rails-db-conf struct
	fixed problems with YAML parameter parsing
	in (rails-db-parameters) simplified (rails-db-parameters) to avoid
	using database.yml directly
	(rails-run-sql) now changes directory to the root for the benefit
	of sqlite3

	* rails-lib.el: changed yml-next-value to yml-value and added a
	broader search scope

2007-01-08  ronaldo  <ronaldo@reflectivesurface.com>

	* rails.el: added support for other ri utilities (fast-ri, for
	example) added support for coloring on ri buffer
			
2006-12-25  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-lib.el (yml-next-value): return nil if key not found

	* rails.el: add sqlite support

2006-12-18  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-core.el (rails-core:class-by-file): fix lowercase letter after "::"

	* rails-for-rhtml.el: apply patch #7300

	* rails-for-controller.el: apply patch #7300

	* rails.el: apply patch #7301, #7295

	* rails-lib.el (rails-lib:run-secondary-switch): apply patch #7314

2006-12-11 ronaldo <ronaldo@reflectivesurface.com>

	* rails-scripts.el: fixed problems with prompt patterns in the
	inferior ruby mode call
	
2006-12-05 ronaldo <ronaldo@refletivesurface.com>

	* rails.el: added support for minimal helper switching

	* rails-for-helper.el: added support for minimal helper switching

2006-12-03 ronaldo <ronaldo@reflectivesurface.com>

	* rails.el: added a customization option to use Emacs w3m for API
	browsing

	* rails-lib.el: added a function to aid in browsing the API with
	Emacs w3m
			
2006-12-03  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ruby.el (ruby-indent-command): using around filter

	* rails.el (ruby-mode-hook): symbols _ and : interpreted as word

	* rails-core.el (rails-core:class-by-file): apply patch #6377

	* rails-webrick.el: Apply patch from Ray Baxter: remove
	rails-webrick:open-url and add rails-webrick:server-name

2006-12-01 ronaldo <ronaldo@reflectivesurface.com>

	* rails.el: fixed to load needed ruby inferior mode (inf-ruby)
	added a couple of new customization options

	* rails-ui.el reordered the snippets menu alphabetically changed
	the key sequences for the tests scripts to use a more intuitive
	set

	* rails.el: refactored and renamed rails-configured-api-root to
	rails-has-api-root added a minor customization to the default
	layout template minor documentation fixes

	* rails-lib.el: add (rails-alternative-browse-url)

	* rails-scripts.el: added an indication of the task being run on
	rake calls fixed the inferior-mode call in (run-ruby-in-buffer) to
	work on w32 added an alternative way to browse API URLs on Windows
	in case the primary way fails added messages to the test scripts
	
2006-12-01  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-navigation.el: add "go to action" "go to partial" now
	support insert_html|replace_html

	* rails-core.el: add rails-core:view-name

2006-11-30 ronaldo <ronaldo@reflectivesurface.com>

	* *.el: fixed documentation strings to better reflect Emacs
	conventions

	* rails-ruby.el: changed ruby-indent-or-complete into an
	advice (it works in text-only terminals now) * rails-ui.el: added
	a bunch of new snippets refactored key sequences to follow proper
	mode conventions added new menus (rake tests, customize, start
	default webrick) changed switch menu to use a richer set of
	options

	* rails-scripts.el: added rake tasks for tests (all, integration,
	functional, unit and recent tests)

	* rails-core.el: added a check for the API docs, allowing the user
	to generate them if needed added a check for the existence of the
	API files to avoid unnecessary messages

	* rails.el: changed the default layout template and moved it to a
	customization variable
	
2006-11-29 ronaldo <ronaldo@reflectivesurface.com>

	* rails-for-controller.el: fixed to use rails-core:menu

	* rails-core.el: added a way to automatically recognize if it's
	running under a text-only terminal to avoid crashing Emacs when
	using x-popup-menu

	* rails-for-rhtml: changed to use rails-core:menu instead of
	x-popup-menu

2006-11-28 ronaldo <ronaldo@reflectivesurface.com>

	* rails-core.el: created a set of customization options
	(customize-group 'rails)

	* rails-for-rhtml: fixed the partial creation functions to allow
	both transient and non-transient markers
	
2006-10-03 Dmitry Galinsky <dima.exe@gmail.com>

	* rails.el: do not apply untabify in makefile-mode

	* rails-ruby.el: small fix in ruby-indent-or-complete

2006-06-10 CrazyPit <crazypit13@gmail.com>

	* rails-core.el: rails-quoted-file (needed to fix bug with space
	in path)

	* rails-navigation.el: new rules to
	rails-goto-file-on-current-line, rails-find for fixtures

	* rails.el: rails-browse-api

	* rails-lib.el: new helper functions write-string-to-file,
	read-from-file

	* rails-webrick.el: fix bug with space in path

	* rails-scipts.el: add caching for rake tasks

2006-04-19 CrazyPit <crazypit13@gmail.com>

	* rails-navigation.el: rails-nav:create-new-layout updated, text
	moved to variable rails-layout-template, name add. rails goto file
	from string for layout now used rails-nav:create-new-layout if
	layout with this name does not exist

	* rails.el: add modify syntax to ruby-mode-hook for "!" symbol,
	add local modifying syntax for rails-browse-api-at-point


2006-04-17  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-ui.el: apply snippets to nxml-mode-abbrev-table

2006-04-11  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-for-controller.el
	(rails-controller:switch-to-view): using rais-core:menu
	(rails-controller:switch-with-menu): using rails-core:menu

	* rails-navigation.el: new function rails-nav:create=new-layout
	(rails-nav:goto-file-with-menu): add optional parameter
	append-to-menu

	* rails-for-rhtml.el: drop
	rails-for-rhtml:switch-to-controller-action

	* rails-for-controller.el: drop
	rails-for-controller:switch-by-current-controller,
	rails-for-controller:switch-to-functional-test,
	rails-for-controller:switch-to-helper,
	rails-for-controller:switch-to-view2,
	rails-for-controller:switch-to-controller
	rails-for-controller:switch-to-views
	(rails-controller:switch-with-menu): mark partials, add separator

	* rails-lib.el (snippet-menu-line): add snippet abbrevation in
	menu

	* rails-ui.el (rails-minor-mode-menu-bar-map): drop menu
	items [webrick brows], [webrick auto-brows]

2006-04-04 CrazyPit <crazypit13@gmail.com>

	* rails-navigation.el, rails-lib.el, rails-ui.el: rails-lib:goto-*
	renamed to rails-nav:goto-* and moved to rails-navigation.el

2006-04-01 CrazyPit <crazypit13@gmail.com>

	* rails-core.el: new function js-file, partial-name updated.

	* rails-navigation.el: new rule for switching line to
	file (rails-line-->js)

	* rails-scipts.el: bugfix in run-ruby-in-buffer

	* rails-ui.el: new snippet %for

	* rails-webrick.el: rails-webrick:start now interactive,
	auto-open-browser work only in controllers and views.

	* rails.el: bugfix in rails-create-tags

2006-03-31 CrazyPit <crazypit13@gmail.com>

	* rails-navigation.el: rails-goto-file-from-file change, now use
	funcall instead rails-goto-menu-call, function
	rails-goto-menu-call removed.

	* rails-for-controller.el: views-for-current-action now using lexical closures.

	* rails-lib.el: fix bug in snippet-menu-line

	* rails.el: fix bug in rails-get-api-entries

2006-03-30  CrazyPit  <crazypit13@gmail.com>

	* rails.el: interface to Rails HTML API
	documentaion. rails-browse-api-at-point, rails-browse-api-method,
	rails-browse-api-class, rails-get-api-entries

	* rails-lib.el: new function capital-word-p

	* rails-scipts.el: Rake integration - new functions rails-rake and
	rails-rake-tasks.  Running ruby consoles and breakpointers in
	separated buffers for each project: new functions
	run-ruby-in-buffer, rails-run-interactive and rails-run-console,
	rails-run-breakpointer updated

	* rails-core.el new macro in-root

	* rails.el: new variable rails-tags-command, rails-open-log now
	interactive + cleanup, rails-create-tags cleanup, new hook for
	dired mode

	* rails-navigation.el: new variable rails-find-file-function, 3
	new rails-finds.

	* rails-ui.el: cleanup, add many new hotkeys

2006-03-28  CrazyPit  <crazypit13@gmail.com>

	* rails-ui.el: create rails-ui.el, move UI code from rails.el to
	rails-ui.el
  
	* rails-navigation.el: rails-goto-controller-->view,
	rails-goto-view-->controller rails-goto-all-->simple,
	rails-goto-all-->helper, rails-goto-all-->functional-test,
	rails-goto-all-->controller extracted to other files.  Refactoring
	of rails-goto-file-from-file-actions and rails-goto-file-from-file
	now run-time generation and invisible, helper function
	rails-goto-menu-call.  menu items available.

	* rails-for-rhtml.el: switch-to-controller-action added

	* rails-for-controller.el:
	views-for-current-action. switch-by-current-controller,
	switch-to-functional-test, switch-to-helper, switch-to-view2,
	switch-to-controller -- extracted with renaming from
	rails-navigation.el.

	* rails-core.el: fix in functional-test-file, +
	long-controller-name added, rails-core:menu upadte (posn-at-point
	call added)

2006-03-28  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-for-controller.el: new functions
	rails-controller:get-current-controller-and-action,
	rails-controller:switch-with-menu
	(rails-for-controller): setup variables rails-primary-switch-func,
	rails-secondary-switch-func

	* rails-core.el (rails-core:helper-file): fix invalid path
	(rails-core:functional-test-file): fix invalid path
	(rails-core:get-view-files): ACTION is optional parameter

	* rails-for-rhtml.el: new functions rails-rhtml:switch-with-menu,
	rails-rhtml:switch-to-helper,
	rails-rhtml:get-current-controller-and-action
	(rails-for-rhtml): setup variables rails-primary-switch-func,
	rails-secondary-switch-func

	* rails.el: add variables rails-primary-switch-func,
	rails-secondary-switch-func

	* rails-lib.el: add interactive functions
	rails-lib:run-primary-switch-func,
	rails-lib:run-secondary-switch-func

2006-03-28  CrazyPit  <crazypit13@gmail.com>

	* rails.el: rails-run-sql with stuff

	* rails-navigation.el: rails finds added

	* rails-scipts.el: generators/destroyers, shells and rails-create
	project added from test branch

	* rails-navigation.el: rails-goto-file-on-current-line and
	rails-goto-file-from-file function with stuff added from test
	branch

2006-03-27  CrazyPit  <crazypit13@gmail.com>

	* rails-lib.el: many helper functions from test branch added

	* rails-core.el: functions from test branch added, class-by-file
	updated + new variable rails-core:class-dirs, get-model-view
	updated

	* rails-webrick.el: open-browser updated,
	open-browser-on-controller, auto-open-browser added

2006-03-22  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails-core.el: add macro rails-core:local-add-to-rails-menubar

2006-03-21  Dmitry Galinsky  <dima.exe@gmail.com>

	* rails.el: split into two files

	* rails-core.el: move to this all helper function and macros

